<template>
	<view class="g_flex_column_center" style="min-height: 69px; margin-top: 120px">
		<view class="btn" @click="goLogin">
			<u-empty :text="text" :src="cdnBaseImg + 'noData.svg'"> </u-empty>
			<view class="g_text_c g_fs_13" style="color: #c0c4cc" v-if="subText">{{ subText }}</view>
		</view>
	</view>
</template>
<script>
/* 自定义空页面
 */
export default {
	onShareAppMessage() {
		return this.G.shareFun();
	},
	onLoad(options) {
		console.log(options);
		if (options.type) {
			uni.setNavigationBarTitle({
				title: options.type,
			});
		}
	},
	data() {
		return {
			cdnBaseImg: this.G.store().cdnBaseImg,
		};
	},
	props: {
		text: {
			type: String,
			default: () => {
				return "暂无数据";
			},
		},
		subText: {
			type: String,
			default: () => {
				return "";
			},
		},
	},
	methods: {
		goLogin() {
			let that = this;
			if (that.text == "请登录") {
				uni.reLaunch({
					url: "/root/login/index?path=" + that.G.getPath().path + "&level=" + that.G.getPath().level,
				});
			}
		},
	},
};
</script>

<style></style>
